Subject: bug#3479: closed (Re: bug#3479: rgrep sends directories needlessly to grep)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Oct 2019 23:26:02 +0000

Your bug report

#3479: rgrep sends directories needlessly to grep

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3479: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3479
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3479: rgrep sends directories needlessly to grep
From: 積丹尼 Dan Jacobson <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Oct 2019 06:33:28 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

SK> This was reported 10 years ago.  If you still remember what it's
SK> about, could you please explain how to reproduce whatever issue this
SK> is inside Emacs?  And what is the issue here exactly?  I'm not sure I
SK> understand.

Hard for me to remember too. So I'll close it.

Subject: rgrep sends directories needlessly to grep
From: [email-masked]
To: [email-masked]
Date: Sat, 06 Jun 2009 05:39:40 +0800

Gentlemen, I used the same string as e.g.,
(rgrep "bla" "*" "~/mediawiki/")
produced, and instead appended fgrep, and found
$ find . \( -path \*/CVS -o -path \*/.svn -o -path \*/\{arch\} -o -path \*/.hg -o -path \*/_darcs -o -path \*/.git -o -path \*/.bzr \) -prune -o  -type f \( -name \* \)|fgrep -c .svn
62
That's right, 62 .svn's, when you thought you had eliminated them. They
are all directories.

OK, now putting the print inside ( ),
$ cd ~/mediawiki/;find  . -path \*/.svn  -prune -o \( -type f \( -name \* \) -print \)|fgrep .svn
./math/.svnignore
./tests/.svnignore
Which were put there by the staff, so we have indeed eliminated what we
need to!

Therefore consider putting your ...-print0 inside a ( )!

Also only one space is needed between "-o  -type f".

(Of course grep doesn't give an error when given a directory.)